Bug 654480 - Boost iostreams 1.44 in Fedora 14 missing deprecated functions.
Summary: Boost iostreams 1.44 in Fedora 14 missing deprecated functions.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: boost
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Benjamin Kosnik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 23:35 UTC by Andrew Hutchings
Modified: 2013-08-09 05:50 UTC (History)
5 users (show)

Fixed In Version: boost-1.44.0-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-19 20:20:56 UTC
Type: ---


Attachments (Terms of Use)

Description Andrew Hutchings 2010-11-17 23:35:33 UTC
Description of problem:

In the Drizzle project we use the following for Boost 1.38 support:

    file_stream = new boost::iostreams::stream<boost::iostreams::file_descriptor>(fileno(my_file), true);

And use the BOOST_IOSTREAMS_USE_DEPRECATED define.  It appears that although the .h supports this the boost libs haven't been compiled with this define causing:

client/linebuffer.o: In function `stream<int, bool>':
/usr/include/boost/iostreams/stream.hpp:130: undefined reference to `boost::iostreams::file_descriptor::file_descriptor(int, bool)'

Version-Release number of selected component (if applicable):

1,44.0-1

How reproducible:

100%

Steps to Reproduce:
1. See description (or compile Drizzle trunk revision 1936)

Comment 1 Andrew Hutchings 2010-11-17 23:58:34 UTC
Drizzle bug report on this:

https://bugs.launchpad.net/drizzle/+bug/676735

Comment 2 Fedora Update System 2010-12-08 22:07:04 UTC
boost-1.44.0-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/boost-1.44.0-4.fc14

Comment 3 Fedora Update System 2010-12-09 21:58:18 UTC
boost-1.44.0-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update boost'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/boost-1.44.0-4.fc14

Comment 4 Andrew Hutchings 2010-12-09 23:30:14 UTC
boost-1.44.0-4.fc14 fixes the problem.  Many thanks :)

Comment 5 Fedora Update System 2010-12-19 20:20:50 UTC
boost-1.44.0-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.